using System;

namespace XGame.Framework.Asset
{
    [System.Serializable]
    public struct AtlasAlphaTextureInfo : IComparable
    {
        /// <summary>
        /// 贴图的addressableName
        /// </summary>
        public string textureName;
        /// <summary>
        /// 贴图的GUID
        /// </summary>
        public string textureGUID;
        /// <summary>
        /// 图集名字
        /// </summary>
        public string atlasName;
        //public string atlasName;
        public string[] sprites;

        public int CompareTo(object obj)
        {
            if (obj is AtlasAlphaTextureInfo compareInfo)
            {
                return string.CompareOrdinal(this.textureName, compareInfo.textureName);
            }
            return -1;
        }
    }
}

